ConnectCloud Developers

Full-text search over items and comments (desk:read)

GET /api/desk/v1/search

Module: Desk · operationId: searchItems · Tag: Items · Auth: access token (Authorization: Bearer <accessToken>)

Parameters

Name In Type Required Description
q query string yes
limit query integer (max 50)

Responses

  • 200 Hits (application/json)

Fields of the 200 answer:

  • items (array of SearchHit, required)
    • item (ItemSummary)
      • id (string): Id of the item
      • number (integer): Number of the item
      • phase (Phase): (one of new, active, waiting, done)
      • spaceId (string): Space of the item
      • status (string): Status key
      • title (string): Title
      • typeId (string): Type of the item
    • rank (number): Relevance (higher is better)
    • snippet (string): Matching text with the hits marked

Example 200 answer:

{
  "items": [
    {
      "item": {
        "id": "4a1b2c3d-5e6f-4a7b-8c9d-1e2f3a4b5c01",
        "number": 1,
        "phase": "active",
        "spaceId": "9a8b7c6d-5e4f-4a3b-8c2d-1e0f9a8b7c00",
        "status": "in_bearbeitung",
        "title": "WLAN in den Gästezimmern 2. OG fällt immer wieder aus",
        "typeId": "5d2e3f4a-6b7c-4d8e-9f0a-2b3c4d5e6f01"
      },
      "rank": 0.82,
      "snippet": "\u003cb\u003eWLAN\u003c/b\u003e in den Gästezimmern 2. OG fällt immer wieder aus"
    }
  ]
}

Example request

curl -X GET 'https://api.mbcom.cloud/api/desk/v1/search?q=string' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI